Explorar el Código

Initial revision

Paul Eggert hace 28 años
padre
commit
c782efa45f
Se han modificado 1 ficheros con 18 adiciones y 0 borrados
  1. 18 0
      tests/delete01.sh

+ 18 - 0
tests/delete01.sh

@@ -0,0 +1,18 @@
+#! /bin/sh
+# Deleting a member after a big one was destroying the archive.
+
+. ./preset
+. $srcdir/before
+
+set -e
+genfile -l 50000 > file1
+genfile -l 1024 > file2
+tar cf archive file1 file2
+tar f archive --delete file2
+tar tf archive
+
+out="\
+file1
+"
+
+. $srcdir/after